OpenSUSE 10.3 dependency problems

classic Classic list List threaded Threaded
3 messages Options
Reply | Threaded
Open this post in threaded view
|

OpenSUSE 10.3 dependency problems

bjmsam
YaST reports the following errors for the OpenSuSE 10.3 one-click installer at http://banshee-project.org/download/:

Cannot install banshee-1, because it is conflicting with banshee
pattern:gnome_multimedia has missing dependencies
banshee-engine-gst has missing dependencies
banshee-plugins-extra has missing dependencies
banshee-plugins-default has missing dependencies
banshee-plugins-DAAP has missing dependencies

It is a relatively vanilla OpenSuSE 10.3 load with Banshee 0.13.2, Mono 1.2.5 and Gnome Media 2.20.1 installed.  TIA for any suggestions to help get Banshee 1.0 up and running!
Reply | Threaded
Open this post in threaded view
|

Re: OpenSUSE 10.3 dependency problems

bjmsam
Chris wrote
if you no longer need banshee 0.13.2 then you can remove it (and its dependencies banshee-*) - in the event of gnome-multimedia (or other non-banshee deps that are broken), you can say "ignore this one time only" and it should work.
But according to http://banshee-project.org/download/archives/1.0.0/

"No Conflicts

This new release is not backwards compatible with previous Banshee releases, however, it will not conflict or cause any problems with any previous release you may have installed.

These changes mean you can have installed and use both older Banshee releases (0.13.2 and older) and new Banshee releases (0.98.1 and newer) without worrying about packaging or installation problems or user data conflicts."
I don't mind uninstalling 0.13.2, but I don't want to end up with neither!
Reply | Threaded
Open this post in threaded view
|

Re: OpenSUSE 10.3 dependency problems

bjmsam
> rpm -qR banshee				> rpm -qpR banshee-1-1.0.0-3.1.i586.rpm 
filesystem  					filesystem  
gconf2  					gconf2  
mono-core  					mono-core  
						mono-addins >= 0.3
						taglib-sharp >= 2.0
						ndesk-dbus >= 0.5
						ndesk-dbus-glib >= 0.3
						banshee-1-lang = 1.0.0
						banshee-1-backend-engine-gstreamer = 1.0.0
						banshee-1-backend-platform-unix = 1.0.0
podsleuth >= 0.6.1
libmusicbrainz  
gstreamer010  
gstreamer010-plugins-base  
gstreamer010-plugins-good  			gstreamer010-plugins-good  
gstreamer010-plugins-base-oil  
banshee-engine = 0.13.2
dbus-1-glib >= 0.60-26
dbus-1-x11 >= 0.60-26
/usr/bin/gconftool-2  
coreutils  
						/bin/bash  
/bin/sh  					/bin/sh  
/bin/sh  
/bin/sh  
/bin/sh  
rpmlib(PayloadFilesHavePrefix) <= 4.0-1		rpmlib(PayloadFilesHavePrefix) <= 4.0-1
rpmlib(CompressedFileNames) <= 3.0.4-1		rpmlib(CompressedFileNames) <= 3.0.4-1
rpmlib(VersionedDependencies) <= 3.0.3-1	rpmlib(VersionedDependencies) <= 3.0.3-1
/bin/bash  
libORBit-2.so.0  
libatk-1.0.so.0  
libc.so.6  					libc.so.6  
libc.so.6(GLIBC_2.0)  				libc.so.6(GLIBC_2.0)  
libc.so.6(GLIBC_2.1.3)  			libc.so.6(GLIBC_2.1.3)  
libcairo.so.2  					libcairo.so.2  
libdbus-1.so.3  
libdbus-glib-1.so.2  
libdl.so.2  					libdl.so.2  
libgconf-2.so.4  
libgdk-x11-2.0.so.0  				libgdk-x11-2.0.so.0  
libgdk_pixbuf-2.0.so.0  			libgdk_pixbuf-2.0.so.0  
libglib-2.0.so.0  				libglib-2.0.so.0  
libgmodule-2.0.so.0  				libgmodule-2.0.so.0  
libgnomevfs-2.so.0  
libgobject-2.0.so.0  				libgobject-2.0.so.0  
libgstbase-0.10.so.0  				libgstbase-0.10.so.0  
						libgstcdda-0.10.so.0  
libgstcontroller-0.10.so.0  			libgstcontroller-0.10.so.0  
libgstdataprotocol-0.10.so.0  			libgstdataprotocol-0.10.so.0  
						libgstinterfaces-0.10.so.0  
libgstpbutils-0.10.so.0  			libgstpbutils-0.10.so.0 
libgstreamer-0.10.so.0  			libgstreamer-0.10.so.0  
						libgstvideo-0.10.so.0  
libgthread-2.0.so.0  				libgthread-2.0.so.0  
libgtk-x11-2.0.so.0  
libhal.so.1  
libmusicbrainz.so.4  
libnautilus-burn.so.4  
libpango-1.0.so.0  				libpango-1.0.so.0  
libpangocairo-1.0.so.0  			libpangocairo-1.0.so.0  
libpthread.so.0  				libpthread.so.0  
librt.so.1  					librt.so.1  
libxml2.so.2  					libxml2.so.2  
						mono(ICSharpCode.SharpZipLib) = 2.84.0.0
						mono(Mono.Addins) = 0.3.0.0
						mono(Mono.Addins.Gui) = 0.3.0.0
						mono(Mono.Addins.Setup) = 0.3.0.0
mono(Mono.Cairo) = 2.0.0.0			mono(Mono.Cairo) = 2.0.0.0
mono(Mono.Data.SqliteClient) = 2.0.0.0		mono(Mono.Data.SqliteClient) = 2.0.0.0
mono(Mono.Posix) = 2.0.0.0			mono(Mono.Posix) = 2.0.0.0
mono(NDesk.DBus) = 1.0.0.0			mono(NDesk.DBus) = 1.0.0.0
mono(NDesk.DBus.GLib) = 1.0.0.0			mono(NDesk.DBus.GLib) = 1.0.0.0
mono(System) = 1.0.5000.0
mono(System) = 2.0.0.0				mono(System) = 2.0.0.0
mono(System.Data) = 2.0.0.0			mono(System.Data) = 2.0.0.0
						mono(System.Web) = 2.0.0.0
mono(System.Xml) = 1.0.5000.0
mono(System.Xml) = 2.0.0.0			mono(System.Xml) = 2.0.0.0
mono(gconf-sharp) = 2.16.0.0
mono(gdk-sharp) = 2.10.0.0			mono(gdk-sharp) = 2.10.0.0
mono(glade-sharp) = 2.10.0.0			mono(glade-sharp) = 2.10.0.0
mono(glib-sharp) = 2.10.0.0			mono(glib-sharp) = 2.10.0.0
mono(gnome-sharp) = 2.16.0.0
mono(gnome-vfs-sharp) = 2.16.0.0
mono(gtk-sharp) = 2.10.0.0			mono(gtk-sharp) = 2.10.0.0
mono(mscorlib) = 1.0.5000.0
mono(mscorlib) = 2.0.0.0			mono(mscorlib) = 2.0.0.0
mono(pango-sharp) = 2.10.0.0			mono(pango-sharp) = 2.10.0.0
						mono(taglib-sharp) = 2.0.3.0
rpmlib(PayloadIsBzip2) <= 3.0.5-1		rpmlib(PayloadIsBzip2) <= 3.0.5-1


> zypper lr
#  | Enabled | Refresh | Type   | Alias                                                             | Name                                
---+---------+---------+--------+-------------------------------------------------------------------+-------------------------------------
1  | Yes     | Yes     | rpm-md | openSUSE-10.3-Updates                                             | Main Repository (Update)            
2  | Yes     | Yes     | rpm-md | GNOME_Community                                                   | GNOME Community                     
3  | Yes     | Yes     | rpm-md | Packman Repository                                                | Packman Repository                  
4  | Yes     | Yes     | yast2  | http://download.opensuse.org/repositories/openSUSE:10.3/standard/ | Main Repository (OSS)               
5  | Yes     | Yes     | rpm-md | Banshee                                                           | Banshee                             
6  | Yes     | Yes     | rpm-md | ATI Repository                                                    | ATI Repository                      
7  | Yes     | No      | yast2  | openSUSE-10.3-OSS-Gnome_10.3_(CDROM)                              | openSUSE-10.3-OSS-Gnome 10.3 (CDROM)
8  | Yes     | Yes     | NONE   | VideoLan Repository                                               | VideoLan Repository                 
9  | Yes     | Yes     | yast2  | http://download.opensuse.org/distribution/10.3/repo/non-oss/      | Main Repository (NON-OSS)           
10 | Yes     | No      | yast2  | CDROM_Repository                                                  | CDROM Repository                    
11 | Yes     | Yes     | rpm-md | Mozilla_beta                                                      | Mozilla beta                        
12 | Yes     | Yes     | rpm-md | Mozilla                                                           | Mozilla                             
13 | Yes     | Yes     | rpm-md | GNOME_Stable                                                      | GNOME Stable